package com.ejie.ab61.model.inspecciones;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * Inspecciones  
 *  
 */

public class Inspecciones  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idInspeccion;
            private String identificadorInspeccion;
            private Integer idResultadoInspeccion;
            private Integer idDireccion;
            private Integer idExpediente;
            private Integer idCampaina;
            private Long idEstadoInspeccion;
            private Integer visitaAdministrativa;
            private String objetoInspeccion;
            private Date fechaLimInspeccion;
            private Integer idProtocolo;
            private Integer idOrigenInspeccion;
            private Integer idInspector;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;
            private Integer idTerCompareciente;
            private String condicionCompareciente;
            private Date fechaAsigInspeccion;
            private String motivoDenegacion;
            private String observacionesResultado;
            private String observacionesCompareciente;

	/** 
	 * Method 'Inspecciones'.
	 */
    public Inspecciones() {
    }


	
    
    /** 
     * Method 'Inspecciones'.
     * @param idInspeccion Integer
     */    
     public Inspecciones(Integer idInspeccion) {
          this.idInspeccion = idInspeccion;
	}

    

    /** 
     * Method 'Inspecciones'.
     * @param idInspeccion Integer
     * @param identificadorInspeccion String
     * @param idResultadoInspeccion Integer
     * @param idDireccion Integer
     * @param idExpediente Integer
     * @param idCampaina Integer
     * @param idEstadoInspeccion Long
     * @param visitaAdministrativa Integer
     * @param objetoInspeccion String
     * @param fechaLimInspeccion Date
     * @param idProtocolo Integer
     * @param idOrigenInspeccion Integer
     * @param idInspector Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param idTerCompareciente Integer
     * @param condicionCompareciente String
     * @param fechaAsigInspeccion Date
     * @param motivoDenegacion String
     * @param observacionesResultado String
     * @param observacionesCompareciente String
     */
   public Inspecciones(Integer idInspeccion, String identificadorInspeccion, Integer idResultadoInspeccion, Integer idDireccion, Integer idExpediente, Integer idCampaina, Long idEstadoInspeccion, Integer visitaAdministrativa, String objetoInspeccion, Date fechaLimInspeccion, Integer idProtocolo, Integer idOrigenInspeccion, Integer idInspector, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, Integer idTerCompareciente, String condicionCompareciente, Date fechaAsigInspeccion, String motivoDenegacion, String observacionesResultado, String observacionesCompareciente) {	

           this.idInspeccion = idInspeccion;
           this.identificadorInspeccion = identificadorInspeccion;
           this.idResultadoInspeccion = idResultadoInspeccion;
           this.idDireccion = idDireccion;
           this.idExpediente = idExpediente;
           this.idCampaina = idCampaina;
           this.idEstadoInspeccion = idEstadoInspeccion;
           this.visitaAdministrativa = visitaAdministrativa;
           this.objetoInspeccion = objetoInspeccion;
           this.fechaLimInspeccion = fechaLimInspeccion;
           this.idProtocolo = idProtocolo;
           this.idOrigenInspeccion = idOrigenInspeccion;
           this.idInspector = idInspector;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
           this.idTerCompareciente = idTerCompareciente;
           this.condicionCompareciente = condicionCompareciente;
           this.fechaAsigInspeccion = fechaAsigInspeccion;
           this.motivoDenegacion = motivoDenegacion;
           this.observacionesResultado = observacionesResultado;
           this.observacionesCompareciente = observacionesCompareciente;
    }

    /**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'.
	 *
	 * @param idInspeccion Integer
	 * @return
     */
	
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}
    /**
	 * Method 'getIdentificadorInspeccion'.
	 *
	 * @return String
	 */
	
	
	public String getIdentificadorInspeccion() {
		return this.identificadorInspeccion;
	}

	/**
	 * Method 'setIdentificadorInspeccion'.
	 *
	 * @param identificadorInspeccion String
	 * @return
     */
	
	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}
    /**
	 * Method 'getIdResultadoInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdResultadoInspeccion() {
		return this.idResultadoInspeccion;
	}

	/**
	 * Method 'setIdResultadoInspeccion'.
	 *
	 * @param idResultadoInspeccion Integer
	 * @return
     */
	
	public void setIdResultadoInspeccion(Integer idResultadoInspeccion) {
		this.idResultadoInspeccion = idResultadoInspeccion;
	}
    /**
	 * Method 'getIdDireccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDireccion() {
		return this.idDireccion;
	}

	/**
	 * Method 'setIdDireccion'.
	 *
	 * @param idDireccion Integer
	 * @return
     */
	
	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}
    /**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente Integer
	 * @return
     */
	
	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}
    /**
	 * Method 'getIdCampaina'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdCampaina() {
		return this.idCampaina;
	}

	/**
	 * Method 'setIdCampaina'.
	 *
	 * @param idCampaina Integer
	 * @return
     */
	
	public void setIdCampaina(Integer idCampaina) {
		this.idCampaina = idCampaina;
	}
    /**
	 * Method 'getIdEstadoInspeccion'.
	 *
	 * @return Long
	 */
	
	
	public Long getIdEstadoInspeccion() {
		return this.idEstadoInspeccion;
	}

	/**
	 * Method 'setIdEstadoInspeccion'.
	 *
	 * @param idEstadoInspeccion Long
	 * @return
     */
	
	public void setIdEstadoInspeccion(Long idEstadoInspeccion) {
		this.idEstadoInspeccion = idEstadoInspeccion;
	}
    /**
	 * Method 'getVisitaAdministrativa'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getVisitaAdministrativa() {
		return this.visitaAdministrativa;
	}

	/**
	 * Method 'setVisitaAdministrativa'.
	 *
	 * @param visitaAdministrativa Integer
	 * @return
     */
	
	public void setVisitaAdministrativa(Integer visitaAdministrativa) {
		this.visitaAdministrativa = visitaAdministrativa;
	}
    /**
	 * Method 'getObjetoInspeccion'.
	 *
	 * @return String
	 */
	
	
	public String getObjetoInspeccion() {
		return this.objetoInspeccion;
	}

	/**
	 * Method 'setObjetoInspeccion'.
	 *
	 * @param objetoInspeccion String
	 * @return
     */
	
	public void setObjetoInspeccion(String objetoInspeccion) {
		this.objetoInspeccion = objetoInspeccion;
	}
    /**
	 * Method 'getFechaLimInspeccion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaLimInspeccion() {
		return this.fechaLimInspeccion;
	}

	/**
	 * Method 'setFechaLimInspeccion'.
	 *
	 * @param fechaLimInspeccion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaLimInspeccion(Date fechaLimInspeccion) {
		this.fechaLimInspeccion = fechaLimInspeccion;
	}
    /**
	 * Method 'getIdProtocolo'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdProtocolo() {
		return this.idProtocolo;
	}

	/**
	 * Method 'setIdProtocolo'.
	 *
	 * @param idProtocolo Integer
	 * @return
     */
	
	public void setIdProtocolo(Integer idProtocolo) {
		this.idProtocolo = idProtocolo;
	}
    /**
	 * Method 'getIdOrigenInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdOrigenInspeccion() {
		return this.idOrigenInspeccion;
	}

	/**
	 * Method 'setIdOrigenInspeccion'.
	 *
	 * @param idOrigenInspeccion Integer
	 * @return
     */
	
	public void setIdOrigenInspeccion(Integer idOrigenInspeccion) {
		this.idOrigenInspeccion = idOrigenInspeccion;
	}
    /**
	 * Method 'getIdInspector'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspector() {
		return this.idInspector;
	}

	/**
	 * Method 'setIdInspector'.
	 *
	 * @param idInspector Integer
	 * @return
     */
	
	public void setIdInspector(Integer idInspector) {
		this.idInspector = idInspector;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
    /**
	 * Method 'getIdTerCompareciente'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdTerCompareciente() {
		return this.idTerCompareciente;
	}

	/**
	 * Method 'setIdTerCompareciente'.
	 *
	 * @param idTerCompareciente Integer
	 * @return
     */
	
	public void setIdTerCompareciente(Integer idTerCompareciente) {
		this.idTerCompareciente = idTerCompareciente;
	}
    /**
	 * Method 'getCondicionCompareciente'.
	 *
	 * @return String
	 */
	
	
	public String getCondicionCompareciente() {
		return this.condicionCompareciente;
	}

	/**
	 * Method 'setCondicionCompareciente'.
	 *
	 * @param condicionCompareciente String
	 * @return
     */
	
	public void setCondicionCompareciente(String condicionCompareciente) {
		this.condicionCompareciente = condicionCompareciente;
	}
    /**
	 * Method 'getFechaAsigInspeccion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAsigInspeccion() {
		return this.fechaAsigInspeccion;
	}

	/**
	 * Method 'setFechaAsigInspeccion'.
	 *
	 * @param fechaAsigInspeccion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAsigInspeccion(Date fechaAsigInspeccion) {
		this.fechaAsigInspeccion = fechaAsigInspeccion;
	}
    /**
	 * Method 'getMotivoDenegacion'.
	 *
	 * @return String
	 */
	
	
	public String getMotivoDenegacion() {
		return this.motivoDenegacion;
	}

	/**
	 * Method 'setMotivoDenegacion'.
	 *
	 * @param motivoDenegacion String
	 * @return
     */
	
	public void setMotivoDenegacion(String motivoDenegacion) {
		this.motivoDenegacion = motivoDenegacion;
	}
    /**
	 * Method 'getObservacionesResultado'.
	 *
	 * @return String
	 */
	
	
	public String getObservacionesResultado() {
		return this.observacionesResultado;
	}

	/**
	 * Method 'setObservacionesResultado'.
	 *
	 * @param observacionesResultado String
	 * @return
     */
	
	public void setObservacionesResultado(String observacionesResultado) {
		this.observacionesResultado = observacionesResultado;
	}
    /**
	 * Method 'getObservacionesCompareciente'.
	 *
	 * @return String
	 */
	
	
	public String getObservacionesCompareciente() {
		return this.observacionesCompareciente;
	}

	/**
	 * Method 'setObservacionesCompareciente'.
	 *
	 * @param observacionesCompareciente String
	 * @return
     */
	
	public void setObservacionesCompareciente(String observacionesCompareciente) {
		this.observacionesCompareciente = observacionesCompareciente;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");
		result.append(", [ idResultadoInspeccion: ").append(this.idResultadoInspeccion).append(" ]");
		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ idCampaina: ").append(this.idCampaina).append(" ]");
		result.append(", [ idEstadoInspeccion: ").append(this.idEstadoInspeccion).append(" ]");
		result.append(", [ visitaAdministrativa: ").append(this.visitaAdministrativa).append(" ]");
		result.append(", [ objetoInspeccion: ").append(this.objetoInspeccion).append(" ]");
		result.append(", [ fechaLimInspeccion: ").append(this.fechaLimInspeccion).append(" ]");
		result.append(", [ idProtocolo: ").append(this.idProtocolo).append(" ]");
		result.append(", [ idOrigenInspeccion: ").append(this.idOrigenInspeccion).append(" ]");
		result.append(", [ idInspector: ").append(this.idInspector).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append(", [ idTerCompareciente: ").append(this.idTerCompareciente).append(" ]");
		result.append(", [ condicionCompareciente: ").append(this.condicionCompareciente).append(" ]");
		result.append(", [ fechaAsigInspeccion: ").append(this.fechaAsigInspeccion).append(" ]");
		result.append(", [ motivoDenegacion: ").append(this.motivoDenegacion).append(" ]");
		result.append(", [ observacionesResultado: ").append(this.observacionesResultado).append(" ]");
		result.append(", [ observacionesCompareciente: ").append(this.observacionesCompareciente).append(" ]");
		result.append("}");
		return result.toString();
	}


}

